import { Object3D, BaseEvent } from 'three';
import { IParticleSystem, SerializationOptions } from './BatchedRenderer';
export interface MetaData {
    geometries: {
        [key: string]: any;
    };
    materials: {
        [key: string]: any;
    };
    textures: {
        [key: string]: any;
    };
    images: {
        [key: string]: any;
    };
    shapes: {
        [key: string]: any;
    };
    skeletons: {
        [key: string]: any;
    };
    animations: {
        [key: string]: any;
    };
    nodes: {
        [key: string]: any;
    };
}
export declare class ParticleEmitter<E extends BaseEvent> extends Object3D<E> {
    type: string;
    system: IParticleSystem;
    constructor(system: IParticleSystem);
    clone(): any;
    dispose(): void;
    extractFromCache(cache: any): any[];
    toJSON(meta?: MetaData, options?: SerializationOptions): any;
}
