import { Behavior } from "./Behavior";
import { Particle } from "../Particle";
import { Bezier, IntervalValue } from "../functions";
import { Vector3 } from "three";
import { Sequencer } from "../sequencers/Sequencer";
export declare class ApplySequences implements Behavior {
    static BEZIER: Bezier;
    type: string;
    sequencers: Array<[IntervalValue, Sequencer]>;
    time: number;
    index: number;
    pCount: number;
    delay: number;
    tempV: Vector3;
    constructor(delayBetweenParticles: number);
    initialize(particle: Particle): void;
    reset(): void;
    update(particle: Particle, delta: number): void;
    frameUpdate(delta: number): void;
    appendSequencer(range: IntervalValue, sequencer: Sequencer): void;
    toJSON(): any;
    static fromJSON(json: any): Behavior;
    clone(): Behavior;
}
