import { FunctionValueGenerator, ValueGenerator } from "./ValueGenerator";
import { Quaternion, Vector3 } from "three";
import { FunctionJSON } from "./FunctionJSON";
import { RotationGenerator } from "./RotationGenerator";
export declare class AxisAngleGenerator implements RotationGenerator {
    axis: Vector3;
    angle: FunctionValueGenerator | ValueGenerator;
    type: "rotation";
    constructor(axis: Vector3, angle: FunctionValueGenerator | ValueGenerator);
    genValue(quat: Quaternion, t?: number): Quaternion;
    toJSON(): FunctionJSON;
    static fromJSON(json: FunctionJSON): AxisAngleGenerator;
    clone(): RotationGenerator;
}
