import { FunctionValueGenerator } from "./ValueGenerator";
import { PiecewiseFunction } from "./PiecewiseFunction";
import { Bezier } from "./Bezier";
import { FunctionJSON } from "./FunctionJSON";
export declare class PiecewiseBezier extends PiecewiseFunction<Bezier> implements FunctionValueGenerator {
    constructor(curves?: Array<[Bezier, number]>);
    genValue(t?: number): number;
    toSVG(length: number, segments: number): string;
    type: "function";
    toJSON(): FunctionJSON;
    static fromJSON(json: FunctionJSON): PiecewiseBezier;
    clone(): FunctionValueGenerator;
}
